<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>TODOs • fokus</title><script src="lightswitch.js"></script><script src="deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="deps/headroom-0.11.0/headroom.min.js"></script><script src="deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="deps/search-1.0.0/fuse.min.js"></script><script src="deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="pkgdown.js"></script><meta property="og:title" content="TODOs"><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="index.html">fokus</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9025</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="nav-item"><a class="nav-link" href="reference/index.html">Reference</a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-articles" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true">Articles</button>
  <ul class="dropdown-menu" aria-labelledby="dropdown-articles"><li><a class="dropdown-item" href="articles/raw_qstnr_schema.html">FOKUS questionnaire schema</a></li>
  </ul></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/zdaarau/rpkgs/fokus/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-title-body">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>TODOs</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/zdaarau/rpkgs/fokus/blob/HEAD/TODO.md" class="external-link"><code>TODO.md</code></a></small>
    </div>

<div id="todos" class="section level1">

<div class="section level2">
<h2 id="general">General<a class="anchor" aria-label="anchor" href="#general"></a></h2>
<ul><li>
<p>Get rid of <code>fokus.local_deploy_path</code>:</p>
<ul><li>change <code>export_qstnr/_all()</code>’s param <code>local_deploy_path</code> to <code>path</code>/<code>output</code> or the like which defaults to the relative path <code>output/</code>.</li>
<li>remove the <code>deploy</code> param and its functionality (and instead directly deploy from the <code>fokus_reports</code>’ output dir to Netlify).</li>
</ul></li>
<li>
<p>Somehow, including multiple asciicasts in the same Rmd doesn’t work properly (the second asciicast’s <code>&lt;asciinema-player&gt;</code> custom HTML tag is missing in the resulting HTML; both via asciicast’s knitr engine as well as embedding the generated asciicast htmlwidget via <code><a href="https://asciicast.r-lib.org/reference/asciinema_player.html" class="external-link">asciicast::asciinema_player()</a></code>), thus the second asciicast containing an intentionally triggered error in the raw qstnr had to be removed.</p>
<p>-&gt; Investigate the actual cause of the inclusion failure (and report/fix upstream)!</p>
<p>The removed vignette part is:</p>
<pre><code>If some mistake that breaks questionnaire generation is present in the raw questionnaire, like a syntax error in embedded R code for example, an error
is thrown and the progress output stops, allowing to easily locate the source position of the mistake:

```{r, echo = FALSE}
fs::path_package("asciicasts/gen_qstnr_tibble-failed.json",
                 package = "fokus") %&gt;%
  asciicast::read_cast() %&gt;%
  # playback speed is not stored in the asciicast itself, so has to be set here
  asciicast::asciinema_player(speed = 0.75)
```

As one can see from the output above, the error occurred when processing key `variable_label`, and from further above we can see that the key belongs to
the item `first_name` which in turn is defined under branch path `00_cantonal_statistical_office.002_to_polling_agency`.</code></pre>
</li>
<li>
<p>For some reason, documenting the internal data objects <code>raw_qstnr</code>, <code>raw_qstnrs_suppl</code> and <code>qstnr_item_keys</code> in the usual way (documenting the object name sentinel, e.g. <code>"raw_qstnr"</code>) fails with the error</p>
<pre><code>Error: 'raw_qstnr' is not an exported object from 'namespace:fokus'</code></pre>
<p>while the other internal data objects can be documented fine that way (e.g. <code>all_ballot_dates</code>)… seems to be related to <code>@keywords internal</code> and the Rd’s autogenerated <code>\usage</code> section and <code>\docType</code> tags…</p>
</li>
</ul></div>
<div class="section level2">
<h2 id="questionnaire">Questionnaire<a class="anchor" aria-label="anchor" href="#questionnaire"></a></h2>
<ul><li>
<p>add <code>who</code> vaue for <code>ehemals erwerbstätige Online-Respondenten</code> whose filter equals the <code>nichterwerbstätige Online-Respondenten</code> conditions <em>plus</em> <code>former_employment_situation %in% 1:4</code> and use that for</p>
<ul><li><code>former_employment_level</code></li>
<li><code>former_occupational_sector</code></li>
<li><code>former_company_size</code></li>
<li><code>former_company_sector</code></li>
</ul></li>
<li><p>Ask Uwe whether easyvote booklet actually covers <em>cantonal</em> proposals. If not, the distinction between <code>cantonal_proposals_information_source_easyvote_booklet</code> and <code>federal_proposals_information_source_easyvote_booklet</code> doesn’t make sense and we could merge the variable with <code>information_source_easyvote_booklet</code> (which currently refers to the election booklet only).</p></li>
<li>
<p>Clean-ups:</p>
<ul><li>Use EN instead of DE values in <code>who</code> key</li>
</ul></li>
<li><p>Consider introducing a mechanism to define truly hierarchical first-item question intros on table lvl above <code>item</code> lvl. But maybe not worth the effort? Wait until we conduct an online survey by ourselves to get better understanding of actual requirements!</p></li>
<li><p>add var <code>latent_expertise_proposals</code> that combines expertise on cantonal <em>and</em> federal proposals</p></li>
<li><p>Port the FOKUS questionnaire to <a href="https://qstnr.rpkg.dev/" class="external-link">qstnr</a>!</p></li>
</ul></div>
<div class="section level2">
<h2 id="nice-to-have--low-priority">Nice-to-have / Low Priority<a class="anchor" aria-label="anchor" href="#nice-to-have--low-priority"></a></h2>
<ul><li>
<p>Supplemental date-specific TOML questionnaire files:</p>
<ul><li>figure out why there’s <code>mode = "majority"</code> defined under table <code>cantonal.aargau.election.majoritarian.1</code> (seems bollocks)</li>
</ul></li>
<li><p>Consider relying on external package for frequency tables and other summary statistics. A good (but a bit aged) overview of available packages is found <a href="https://dabblingwithdata.wordpress.com/2017/12/20/my-favourite-r-package-for-frequency-tables/" class="external-link">here</a></p></li>
<li><p>Export CSV data in <em>CSV on the Web (CSVW)</em> format using package <a href="https://robsteranium.github.io/csvwr/" class="external-link">csvw</a> once it supports writing CSVW.</p></li>
</ul></div>
</div>

  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer></div>





  </body></html>

